PDA

View Full Version : Is this a matter of the wrong src used?



SlowJet
17th February 2009, 10:04 PM
# rpm -Uvh *.rpm --test
Preparing... ########################################### [100%]
package xorg-x11-drv-nouveau-1:0.0.12-3.20090206git945f0cb.fc11.i386 (which is newer than xorg-x11-drv-nouveau-1:0.0.12-1.20090216git7b25a30.fc11.i586) is already installed

SJ

vallimar
18th February 2009, 08:17 PM
For whatever unfortunate reason, they decided to reset the release version from 3 -> 1.
No idea why, was probably a mistake. You should be able to safely install over your current
version. There are no configuration files, so it's probably simplest to remove then install new.

AdamW
19th February 2009, 04:30 AM
Yes, it's a packaging error. You can't put the package revision before the date of a snapshot like that, that's just silly. This should be reported as a bug: http://bugzilla.redhat.com/ , but I'll point it out to the packagers...

edit: hmm, it seems Fedora has a policy for this, which to my mind is kinda bizarre, but works:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

so the package revision is supposed to go before the snapshot date, but you're never supposed to reset it until the package goes final. That's a weird way of doing it. Oh well. I'll point this out to the packager, again. :)

SlowJet
19th February 2009, 05:03 PM
Thanks guys,
The packages are all still in koji so --oldpackage gets it over the hump and the 12.3 will never be seen again in updates.
It just took awhile to sink in. :)

SJ

AdamW
21st February 2009, 01:08 AM
I pointed out the error to Ben, and he's promised to fix it in the next release of the package.